org.apache.hadoop.mapred

## Class SequenceFileAsBinaryOutputFormat.WritableValueBytes

- java.lang.Object
- - org.apache.hadoop.mapreduce.lib.output.SequenceFileAsBinaryOutputFormat.WritableValueBytes
  - - org.apache.hadoop.mapred.SequenceFileAsBinaryOutputFormat.WritableValueBytes

- All Implemented Interfaces:
    org.apache.hadoop.io.SequenceFile.ValueBytes
  Enclosing class:
    SequenceFileAsBinaryOutputFormat

      protected static class SequenceFileAsBinaryOutputFormat.WritableValueBytes
      extends SequenceFileAsBinaryOutputFormat.WritableValueBytes

  Inner class used for appendRaw

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WritableValueBytes()`
    `WritableValueBytes(org.apache.hadoop.io.BytesWritable value)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.output.SequenceFileAsBinaryOutputFormat.WritableValueBytes

      `getSize, reset, writeCompressedBytes, writeUncompressedBytes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WritableValueBytes

          public WritableValueBytes()

    - #### WritableValueBytes

          public WritableValueBytes(org.apache.hadoop.io.BytesWritable value)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.